const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("saasorderdeliverinfo", {
    deliver_man: DataTypes.STRING,
    deliver_mobile: DataTypes.STRING,
    deliver_addr: DataTypes.STRING,
    deliver_express_no: DataTypes.STRING,
    deliver_express_img: DataTypes.STRING,
    merchant_deliver_man: DataTypes.STRING,
    merchant_deliver_mobile: DataTypes.STRING,
    merchant_deliver_addr: DataTypes.STRING,
    sve_deliver_express_no: DataTypes.STRING,
    sve_deliver_express_img: DataTypes.STRING,

    // 个体户建账日期
    sve_businessmen_company_id: DataTypes.STRING,
    sve_businessmen_customer_id: DataTypes.STRING,
    sve_businessmen_name: DataTypes.STRING,
    sve_businessmen_credit_code: DataTypes.STRING,
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'saas_order_deliver_info',
    validate: {

    },
    indexes: [
      // Create a unique index on email
      //  {
      //    unique: true,
      //    fields: ['email']
      //  },
      //
      //  // Creates a gin index on data with the jsonb_path_ops operator
      //  {
      //    fields: ['data'],
      //    using: 'gin',
      //    operator: 'jsonb_path_ops'
      //  },
      //
      //  // By default index name will be [table]_[fields]
      //  // Creates a multi column partial index
      //  {
      //    name: 'public_by_author',
      //    fields: ['author', 'status'],
      //    where: {
      //      status: 'public'
      //    }
      //  },
      //
      //  // A BTREE index with a ordered field
      //  {
      //    name: 'title_index',
      //    method: 'BTREE',
      //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
      //  }
    ]
  });
}